Can I compile a plugin in .net4

All your questions about LcdStudio 2.0 Plugins

Moderator: LcdStudio2 Experts

Ahodgey
Posts: 49
Joined: Fri Apr 07, 2006 1:09 pm

Can I compile a plugin in .net4

Postby Ahodgey » Mon Apr 09, 2012 9:00 am

Just tinkering with developing a zune plugin using the libMsnMsgrUIManager (http://libmsnmsgruimanager.codeplex.com/) class.

This makes use of some .NET 4 features (system.core). Can lcdstudio load a .net 4 plugin or do they have to be .net 2?

Ahodgey
Posts: 49
Joined: Fri Apr 07, 2006 1:09 pm

Postby Ahodgey » Mon Apr 09, 2012 9:06 am

Dont worry. Looks like the libMsnMsgrUIManager doesnt need to the .net 4 references. Removed the references and compiled for .NET 2 and seems to work fine still

User avatar
spock
Site Admin
Posts: 4541
Joined: Mon Feb 17, 2003 6:01 pm
Location: Athens, Greece
Contact:

Plug

Postby spock » Mon Apr 09, 2012 12:19 pm

Well, yeah... LCDstudio is a .NET 2.0 application, therefore it can use 2.0 plug-ins. I don't know if there's some work-around which would enable you to use 4.0-compiled plug-ins, but then again Windows programming is not exactly my forte.
Glad to know you made it, mate! ;)
Live long and prosper...

Ahodgey
Posts: 49
Joined: Fri Apr 07, 2006 1:09 pm

Postby Ahodgey » Wed Apr 11, 2012 6:21 pm

Cheers Spock, just going to upload my plugin :)


Return to “Plugins”

Who is online

Users browsing this forum: No registered users and 0 guests

cron